
/*  注：  TIMESTAMP 类型改为 TIMESTAMP  TEXT类型改为CLOB 

		
*/
CREATE  TABLE shanglifeecif.individual(
  created_by VARCHAR(32) DEFAULT NULL COMMENT '创建人', 
  created_time TIMESTAMP DEFAULT NULL COMMENT '创建时间', 
  updated_by VARCHAR(32) DEFAULT NULL COMMENT '更新人', 
  updated_time TIMESTAMP DEFAULT NULL COMMENT '更新时间', 
  indid VARCHAR(32) DEFAULT NULL COMMENT '个体ID', 
  custid VARCHAR(32) DEFAULT NULL COMMENT '客户号', 
  name VARCHAR(128) DEFAULT NULL COMMENT '名称', 
  birthday DATE DEFAULT NULL COMMENT '出生日期', 
  nobirth CHAR(4) DEFAULT NULL COMMENT '出生国家',  -- dialect: ORACLE
  sobirth CHAR(4) DEFAULT NULL COMMENT '出生省份',  -- dialect: ORACLE
  cobirth CHAR(4) DEFAULT NULL COMMENT '出生城市',  -- dialect: ORACLE
  dday DATE DEFAULT NULL COMMENT '死亡日期', 
  gender CHAR(4) DEFAULT NULL COMMENT '性别',  -- dialect: ORACLE
  ethnic CHAR(4) DEFAULT NULL COMMENT '民族',  -- dialect: ORACLE
  nation CHAR(4) DEFAULT NULL COMMENT '国籍',  -- dialect: ORACLE
  regresidence VARCHAR(128) DEFAULT NULL COMMENT '户口所在地', 
  maritalstat CHAR(4) DEFAULT NULL COMMENT '婚姻状况',  -- dialect: ORACLE
  maritalstatdate DATE DEFAULT NULL COMMENT '婚姻状况日期', 
  offspring CHAR(4) DEFAULT NULL COMMENT '生育状况',  -- dialect: ORACLE
  support CHAR(4) DEFAULT NULL COMMENT '赡养状况',  -- dialect: ORACLE
  empstat CHAR(4) DEFAULT NULL COMMENT '就业状况',  -- dialect: ORACLE
  empstatdate CHAR(4) DEFAULT NULL COMMENT '就业状况日期',  -- dialect: ORACLE
  raid VARCHAR(32) DEFAULT NULL COMMENT '居住地址', 
  ral VARCHAR(1024) DEFAULT NULL COMMENT '居住地址不分段', 
  al VARCHAR(1024) DEFAULT NULL COMMENT '曾用地址不分段', 
  coadress INT DEFAULT NULL COMMENT '地址登录数量', 
  pmphone VARCHAR(64) DEFAULT NULL COMMENT '常用手机', 
  mhone VARCHAR(64) DEFAULT NULL COMMENT '曾用手机', 
  sophone INT DEFAULT NULL COMMENT '手机登录数量', 
  height DECIMAL(8,2) DEFAULT NULL COMMENT '身高', 
  weight DECIMAL(8,2) DEFAULT NULL COMMENT '体重', 
  cillness CHAR(4) DEFAULT NULL COMMENT '当前疾病',  -- dialect: ORACLE
  pillness CHAR(4) DEFAULT NULL COMMENT '曾患疾病',  -- dialect: ORACLE
  bmi DECIMAL(8,2) DEFAULT NULL COMMENT 'BMI体制指数', 
  evadate DATE DEFAULT NULL COMMENT '健康评估日期', 
  cohevaluation INT DEFAULT NULL COMMENT '健康评估登录数量', 
  hphone VARCHAR(64) DEFAULT NULL COMMENT '家庭电话', 
  occupation CHAR(4) DEFAULT NULL COMMENT '职业',  -- dialect: ORACLE
  odate DATE DEFAULT NULL COMMENT '职业时间', 
  employer VARCHAR(128) DEFAULT NULL COMMENT '工作单位', 
  wphone VARCHAR(64) DEFAULT NULL COMMENT '工作电话', 
  empdate DATE DEFAULT NULL COMMENT '工作单位时间', 
  idcard VARCHAR(64) DEFAULT NULL COMMENT '身份证', 
  passport VARCHAR(64) DEFAULT NULL COMMENT '护照', 
  dlicense VARCHAR(64) DEFAULT NULL COMMENT '驾驶证', 
  education CHAR(4) DEFAULT NULL COMMENT '最高学历',  -- dialect: ORACLE
  university VARCHAR(32) DEFAULT NULL COMMENT '毕业学校', 
  edate DATE DEFAULT NULL COMMENT '学历时间', 
  wechat VARCHAR(32) DEFAULT NULL COMMENT '微信', 
  weibo VARCHAR(32) DEFAULT NULL COMMENT '微博', 
  email VARCHAR(32) DEFAULT NULL COMMENT '邮箱', 
  qq VARCHAR(32) DEFAULT NULL COMMENT 'QQ', 
  tiktok VARCHAR(32) DEFAULT NULL COMMENT '抖音', 
  saccount1 VARCHAR(32) DEFAULT NULL COMMENT '社交账号1', 
  sa1cat CHAR(4) DEFAULT NULL COMMENT '社交账号1类别',  -- dialect: ORACLE
  saccount2 VARCHAR(32) DEFAULT NULL COMMENT '社交账号2', 
  sa2cat CHAR(4) DEFAULT NULL COMMENT '社交账号2类别',  -- dialect: ORACLE
  ctype CHAR(4) DEFAULT NULL COMMENT '首选联系方式',  -- dialect: ORACLE
  father VARCHAR(32) DEFAULT NULL COMMENT '父亲', 
  mother VARCHAR(32) DEFAULT NULL COMMENT '母亲', 
  mate VARCHAR(32) DEFAULT NULL COMMENT '配偶', 
  child1 VARCHAR(32) DEFAULT NULL COMMENT '子女1', 
  child2 VARCHAR(32) DEFAULT NULL COMMENT '子女2', 
  cochild INT DEFAULT NULL COMMENT '子女登录数量', 
  fmhistory CHAR(4) DEFAULT NULL COMMENT '家族病史',  -- dialect: ORACLE
  rpid VARCHAR(32) DEFAULT NULL COMMENT '房产', 
  rpdescribe VARCHAR(1024) DEFAULT NULL COMMENT '房产描述', 
  corp INT DEFAULT NULL COMMENT '房产登录数量', 
  vid VARCHAR(32) DEFAULT NULL COMMENT '车辆', 
  vdescribe VARCHAR(1024) DEFAULT NULL COMMENT '车辆描述', 
  covehicle INT DEFAULT NULL COMMENT '车辆登录数量', 
  anniversary1 DATE DEFAULT NULL COMMENT '纪念日1', 
  a1describe CHAR(4) DEFAULT NULL COMMENT '纪念日1类型',  -- dialect: ORACLE
  anniversary2 DATE DEFAULT NULL COMMENT '纪念日2', 
  a2describe CHAR(4) DEFAULT NULL COMMENT '纪念日2类型',  -- dialect: ORACLE
  soanniversary INT DEFAULT NULL COMMENT '纪念日登录数量', 
  custType CHAR(4) DEFAULT NULL COMMENT '客户类型',  -- dialect: ORACLE
  bankname CHAR(4) DEFAULT NULL COMMENT '开户银行',  -- dialect: ORACLE
  tobankcard CHAR(4) DEFAULT NULL COMMENT '银行卡类型',  -- dialect: ORACLE
  accname VARCHAR(32) DEFAULT NULL COMMENT '账户名', 
  bankaccno VARCHAR(32) DEFAULT NULL COMMENT '银行帐号', 
  cobaccount INT DEFAULT NULL COMMENT '账户登录数量', 
  sotlirisk DECIMAL(32,8) DEFAULT NULL COMMENT '传统寿险种保额合计', 
  soairisk DECIMAL(32,8) DEFAULT NULL COMMENT '意外类险种保额合计', 
  sosiirisk DECIMAL(32,8) DEFAULT NULL COMMENT '重疾类险种保额合计', 
  somcirisk DECIMAL(32,8) DEFAULT NULL COMMENT '医疗费用类险种保额合计', 
  someirisk DECIMAL(32,8) DEFAULT NULL COMMENT '医疗补贴类险种保额合计', 
  soefirisk DECIMAL(32,8) DEFAULT NULL COMMENT '教育金类险种保额合计', 
  sopirisk DECIMAL(32,8) DEFAULT NULL COMMENT '养老金类险种保额合计', 
  sowmirisk DECIMAL(32,8) DEFAULT NULL COMMENT '财富管理险种保额合计', 
  custclass INT DEFAULT NULL COMMENT '客户等级', 
  convalue INT DEFAULT NULL COMMENT '贡献度分', 
  awarded3 INT DEFAULT NULL COMMENT '家庭加分', 
  awarded2 INT DEFAULT NULL COMMENT '续期加分', 
  awarded1 INT DEFAULT NULL COMMENT '保单加分', 
  sovalue INT DEFAULT NULL COMMENT '总分值', 
  enddate DATE DEFAULT NULL COMMENT '客户等级失效日期', 
  systemtag1 clob DEFAULT NULL COMMENT '系统标签域1', 
  systemtag2 clob DEFAULT NULL COMMENT '系统标签域2', 
  systemtag3 clob DEFAULT NULL COMMENT '系统标签域3', 
  cocommunication INT DEFAULT NULL COMMENT '接触次数', 
  lcdate DATE DEFAULT NULL COMMENT '最近接触时间', 
  lctype CHAR(4) DEFAULT NULL COMMENT '最近接触类型',  -- dialect: ORACLE
  cocomplaint INT DEFAULT NULL COMMENT '投诉次数', 
  lcptdate DATE DEFAULT NULL COMMENT '最近投诉时间', 
  lcptreason CHAR(4) DEFAULT NULL COMMENT '最近投诉原因',  -- dialect: ORACLE
  lcptlink CHAR(4) DEFAULT NULL COMMENT '最近投诉环节',  -- dialect: ORACLE
  lcptresult CHAR(4) DEFAULT NULL COMMENT '最近投诉处理结果',  -- dialect: ORACLE
  lcptduration DECIMAL(8,2) DEFAULT NULL COMMENT '最近投诉处理时长', 
  lcptperson CHAR(4) DEFAULT NULL COMMENT '最近投诉人',  -- dialect: ORACLE
  soppremium DECIMAL(32,8) DEFAULT NULL COMMENT '累计已缴保费', 
  lappdate DATE DEFAULT NULL COMMENT '最近投保日期', 
  cndate DATE DEFAULT NULL COMMENT '最近报案日期', 
  cnstatus CHAR(4) DEFAULT NULL COMMENT '最近报案状态',  -- dialect: ORACLE
  cocnotification INT DEFAULT NULL COMMENT '报案登录数量', 
  fadate DATE DEFAULT NULL COMMENT '首次投保日期', 
  ladate DATE DEFAULT NULL COMMENT '最近投保日期', 
  lpno VARCHAR(32) DEFAULT NULL COMMENT '最近保险单号', 
  lpstate CHAR(4) DEFAULT NULL COMMENT '最近保单状态',  -- dialect: ORACLE
  lpname VARCHAR(128) DEFAULT NULL COMMENT '最近投保险种名称', 
  copolicy INT DEFAULT NULL COMMENT '保单登录数量', 
  iaccno1 VARCHAR(32) DEFAULT NULL COMMENT '保险账户1', 
  iaccno2 VARCHAR(32) DEFAULT NULL COMMENT '保险账户2', 
  iaccno3 VARCHAR(32) DEFAULT NULL COMMENT '保险账户3', 
  soiaccount1 DECIMAL(32,8) DEFAULT NULL COMMENT '保险账户1余额', 
  soiaccount2 DECIMAL(32,8) DEFAULT NULL COMMENT '保险账户2余额', 
  soiaccount3 DECIMAL(32,8) DEFAULT NULL COMMENT '保险账户3余额', 
  coiaccount INT DEFAULT NULL COMMENT '保险账户登录数量'
)
COMMENT '个人信息'
CREATE  TABLE shanglifeecif.Adress(
CREATED_BY	VARCHAR(32)		DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	TIMESTAMP		DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	VARCHAR(32)		DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	TIMESTAMP		DEFAULT NULL COMMENT '	更新时间	',
AID	VARCHAR(32)		DEFAULT NULL COMMENT '	地址ID	',
ACountry	VARCHAR(32)		DEFAULT NULL COMMENT '	地址_国家	',
AState	VARCHAR(32)		DEFAULT NULL COMMENT '	地址_省	',
ACity	VARCHAR(32)		DEFAULT NULL COMMENT '	地址_市县	',
ATown	VARCHAR(32)		DEFAULT NULL COMMENT '	地址_区镇	',
AStreet	VARCHAR(32)		DEFAULT NULL COMMENT '	地址_街道	',
AStreetNo	VARCHAR(32)		DEFAULT NULL COMMENT '	地址_门牌号	',
APostCode	VARCHAR(32)		DEFAULT NULL COMMENT '	地址_邮政编码	',
APhone	VARCHAR(32)		DEFAULT NULL COMMENT '	地址_电话	',
ADescribe	VARCHAR(128)		DEFAULT NULL COMMENT '	地址描述	',
ADate	DATE		DEFAULT NULL COMMENT '	地址时间	',
Longitude	VARCHAR(32)		DEFAULT NULL COMMENT '	经度	',
Latitude	VARCHAR(32)		DEFAULT NULL COMMENT '	纬度	'
)
COMMENT '地址信息'

CREATE  TABLE shanglifeecif.Organisation(
CREATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	更新时间	',
OID	VARCHAR(32)	DEFAULT NULL COMMENT '	团体ID	',
CustID	VARCHAR(32)	DEFAULT NULL COMMENT '	客户ID	',
Name	VARCHAR(128)	DEFAULT NULL COMMENT '	名称	',
OCID	VARCHAR(32)	DEFAULT NULL COMMENT '	联系人	',
OCName	VARCHAR(128)	DEFAULT NULL COMMENT '	联系人姓名	',
OCPhone	VARCHAR(32)	DEFAULT NULL COMMENT '	联系人电话	',
OFCID	VARCHAR(32)	DEFAULT NULL COMMENT '	财务联系人	',
OFCName	VARCHAR(128)	DEFAULT NULL COMMENT '	财务联系人姓名	',
OFCPhone	VARCHAR(32)	DEFAULT NULL COMMENT '	财务联系人电话	',
OLevel	CHAR(4)	DEFAULT NULL COMMENT '	组织层级	',
SCCode	VARCHAR(32)	DEFAULT NULL COMMENT '	统一社会信用代码	',
OLPerson	VARCHAR(128)	DEFAULT NULL COMMENT '	法人	',
BizType	CHAR(4)	DEFAULT NULL COMMENT '	行业类型	',
RegDate	DATE	DEFAULT NULL COMMENT '	注册日期	',
LegalStruct	CHAR(4)	DEFAULT NULL COMMENT '	企业性质	',
RegAddress	VARCHAR(128)	DEFAULT NULL COMMENT '	注册地址	',
RegFun	DECIMAL(32,8)	DEFAULT NULL COMMENT '	注册资金	',
NuOfEmployees	INT	DEFAULT NULL COMMENT '	员工人数	',
OState	CHAR(4)	DEFAULT NULL COMMENT '	经营状况	',
OSDate	DATE	DEFAULT NULL COMMENT '	经营状况日期	'
)
COMMENT '团体'

CREATE  TABLE shanglifeecif.PrivacyPreferenceInstructions(
CREATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	更新时间	',
PPIID	VARCHAR(32)	DEFAULT NULL COMMENT '	偏好ID	',
IndID	VARCHAR(32)	DEFAULT NULL COMMENT '	个体ID	',
Type	CHAR(4)	DEFAULT NULL COMMENT '	类别	',
W1Stime	VARCHAR(32)	DEFAULT NULL COMMENT '	周一起始时间	',
W1Etime	VARCHAR(32)	DEFAULT NULL COMMENT '	周一结束时间	',
W2Stime	VARCHAR(32)	DEFAULT NULL COMMENT '	周二起始时间	',
W2Etime	VARCHAR(32)	DEFAULT NULL COMMENT '	周二结束时间	',
W3Stime	VARCHAR(32)	DEFAULT NULL COMMENT '	周三起始时间	',
W3Etime	VARCHAR(32)	DEFAULT NULL COMMENT '	周三结束时间	',
W4Stime	VARCHAR(32)	DEFAULT NULL COMMENT '	周四起始时间	',
W4Etime	VARCHAR(32)	DEFAULT NULL COMMENT '	周四结束时间	',
W5Stime	VARCHAR(32)	DEFAULT NULL COMMENT '	周五起始时间	',
W5Etime	VARCHAR(32)	DEFAULT NULL COMMENT '	周五结束时间	',
W6Stime	VARCHAR(32)	DEFAULT NULL COMMENT '	周六起始时间	',
W6Etime	VARCHAR(32)	DEFAULT NULL COMMENT '	周六结束时间	',
W7Stime	VARCHAR(32)	DEFAULT NULL COMMENT '	周日起始时间	',
W7Etime	VARCHAR(32)	DEFAULT NULL COMMENT '	周日结束时间	'
)
COMMENT '隐私偏好设定'

CREATE  TABLE shanglifeecif.HealthStatus(
CREATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	更新时间	',
HSID	VARCHAR(32)	DEFAULT NULL COMMENT '	健康状况ID	',
IndID	VARCHAR(32)	DEFAULT NULL COMMENT '	个体ID	',
IndName	VARCHAR(32)	DEFAULT NULL COMMENT '	个人名称	',
IndPhone	VARCHAR(32)	DEFAULT NULL COMMENT '	个人手机	',
IndIDCard	VARCHAR(32)	DEFAULT NULL COMMENT '	个人证件号码	',
EvaDate	DATE	DEFAULT NULL COMMENT '	评估日期	',
Height	DECIMAL(8,2)	DEFAULT NULL COMMENT '	身高	',
Weight	DECIMAL(8,2)	DEFAULT NULL COMMENT '	体重	',
CIllness	CHAR(4)	DEFAULT NULL COMMENT '	当前疾病	',
PIllness	CHAR(4)	DEFAULT NULL COMMENT '	曾患疾病	',
BMI	DECIMAL(8,2)	DEFAULT NULL COMMENT '	BMI体制指数	'
)
COMMENT '健康状况'

CREATE  TABLE shanglifeecif.RealProperty(
CREATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	更新时间	',
RPID	VARCHAR(32)	DEFAULT NULL COMMENT '	房产ID	',
IndID	VARCHAR(32)	DEFAULT NULL COMMENT '	IndID	',
RPAID	VARCHAR(32)	DEFAULT NULL COMMENT '	房产地址	',
RPAL	VARCHAR(1024)	DEFAULT NULL COMMENT '	房产地址不分段	',
RPRegNo	VARCHAR(32)	DEFAULT NULL COMMENT '	产权证号码	',
BLDGType	CHAR(4)	DEFAULT NULL COMMENT '	房产结构	',
BLDGStyle	VARCHAR(32)	DEFAULT NULL COMMENT '	房型	',
RPType	CHAR(4)	DEFAULT NULL COMMENT '	房产类型	',
RPOSize	DECIMAL(8,2)	DEFAULT NULL COMMENT '	建筑面积	',
RPTSize	DECIMAL(8,2)	DEFAULT NULL COMMENT '	实得面积	',
RPSTime	DATE	DEFAULT NULL COMMENT '	开始时间	',
RPETime	DATE	DEFAULT NULL COMMENT '	结束时间	'
)
COMMENT '房产'


CREATE  TABLE shanglifeecif.Vehicle(
CREATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	更新时间	',
VID	VARCHAR(32)	DEFAULT NULL COMMENT '	车辆ID	',
IndID	VARCHAR(32)	DEFAULT NULL COMMENT '	个人ID	',
VMake	CHAR(4)	DEFAULT NULL COMMENT '	车型	',
VModel	VARCHAR(32)	DEFAULT NULL COMMENT '	型号	',
VINNumber	VARCHAR(32)	DEFAULT NULL COMMENT '	VIN码	',
VCNumber	VARCHAR(32)	DEFAULT NULL COMMENT '	车架号	',
VRNumber	VARCHAR(32)	DEFAULT NULL COMMENT '	牌照号码	',
VSTime	DATE	DEFAULT NULL COMMENT '	开始时间	',
VETime	DATE	DEFAULT NULL COMMENT '	结束时间	'
)
COMMENT '车辆'

CREATE  TABLE shanglifeecif.IndRelationShip(
CREATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	更新时间	',
IRSID	VARCHAR(32)	DEFAULT NULL COMMENT '	个体关系ID	',
RSType	CHAR(4)	DEFAULT NULL COMMENT '	关系类型	',
IndID1	VARCHAR(32)	DEFAULT NULL COMMENT '	个体1	',
Name1	VARCHAR(32)	DEFAULT NULL COMMENT '	个体1名称	',
Mphone1	VARCHAR(32)	DEFAULT NULL COMMENT '	个体1手机	',
IDCard1	VARCHAR(32)	DEFAULT NULL COMMENT '	个体1证件号码	',
Role1	CHAR(4)	DEFAULT NULL COMMENT '	个体1角色	',
IndID2	VARCHAR(32)	DEFAULT NULL COMMENT '	个体2	',
Name2	VARCHAR(32)	DEFAULT NULL COMMENT '	个体2名称	',
Mphone2	VARCHAR(32)	DEFAULT NULL COMMENT '	个体2手机	',
IDCard2	VARCHAR(32)	DEFAULT NULL COMMENT '	个体2证件号码	',
Role2	VARCHAR(32)	DEFAULT NULL COMMENT '	个体2角色	',
RSSTime	DATE	DEFAULT NULL COMMENT '	开始时间	',
RSETime	DATE	DEFAULT NULL COMMENT '	结束时间	',
RSDescribe	VARCHAR(1024)	DEFAULT NULL COMMENT '	关系描述	'
)
COMMENT '个体关系'
--个体名称（Name）和名称（Name）字段名称重复  个体名称（Name）改为 PName
CREATE  TABLE shanglifeecif.IndOrgRelationShip(
CREATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	更新时间	',
IORSID	VARCHAR(32)	DEFAULT NULL COMMENT '	关系ID	',
RSType	CHAR(4)	DEFAULT NULL COMMENT '	关系类型	',
IndID	VARCHAR(32)	DEFAULT NULL COMMENT '	个体	',
IndName	VARCHAR(32)	DEFAULT NULL COMMENT '	个体名称	',
Mphone	VARCHAR(32)	DEFAULT NULL COMMENT '	个体手机	',
IDCard	VARCHAR(32)	DEFAULT NULL COMMENT '	个体证件号码	',
IRole	VARCHAR(32)	DEFAULT NULL COMMENT '	个体角色	',
OID	VARCHAR(32)	DEFAULT NULL COMMENT '	团体	',
SCCode	VARCHAR(32)	DEFAULT NULL COMMENT '	统一社会信用代码	',
OrgName	VARCHAR(128)	DEFAULT NULL COMMENT '	团体名称	',
OCID	VARCHAR(32)	DEFAULT NULL COMMENT '	联系人	',
OCName	VARCHAR(128)	DEFAULT NULL COMMENT '	联系人姓名	',
OCPhone	VARCHAR(32)	DEFAULT NULL COMMENT '	联系人电话	',
ORole	CHAR(4)	DEFAULT NULL COMMENT '	团体角色	',
RSSTime	DATE	DEFAULT NULL COMMENT '	开始时间	',
RSETime	DATE	DEFAULT NULL COMMENT '	结束时间	',
RSDescribe	VARCHAR(1024)	DEFAULT NULL COMMENT '	关系描述	'
)
COMMENT '个人团体关系'

CREATE  TABLE shanglifeecif.InsuranceArrangement(
CREATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	更新时间	',
IAID	VARCHAR(32)	DEFAULT NULL COMMENT '	保单ID	',
PolicyNo	VARCHAR(32)	DEFAULT NULL COMMENT '	保险单号	',
PANo	VARCHAR(32)	DEFAULT NULL COMMENT '	投保单号	',
AGRMNTAge	VARCHAR(32)	DEFAULT NULL COMMENT '	保险期限	',
PBInst	CHAR(4)	DEFAULT NULL COMMENT '	受益分配方式	',
PWComp	CHAR(4)	DEFAULT NULL COMMENT '	承保分公司	',
PINDate	TIMESTAMP	DEFAULT NULL COMMENT '	起保日期	',
PMDate	TIMESTAMP	DEFAULT NULL COMMENT '	终保日期	',
PISDate	TIMESTAMP	DEFAULT NULL COMMENT '	签单日期	',
PADate	TIMESTAMP	DEFAULT NULL COMMENT '	投保日期	',
RenewalDate	TIMESTAMP	DEFAULT NULL COMMENT '	续保日期	',
NORenewal	INT	DEFAULT NULL COMMENT '	续保次数	',
PolicyType	CHAR(4)	DEFAULT NULL COMMENT '	保单类型	',
SChannel	CHAR(4)	DEFAULT NULL COMMENT '	销售渠道	',
BSource	CHAR(4)	DEFAULT NULL COMMENT '	业务来源	',
PolicyState	CHAR(4)	DEFAULT NULL COMMENT '	保单状态	',
TOPay	CHAR(4)	DEFAULT NULL COMMENT '	缴费类型	',
Payment	CHAR(4)	DEFAULT NULL COMMENT '	缴费方式	',
Risk	DECIMAL(32,8)	DEFAULT NULL COMMENT '	总保额	',
Prem	DECIMAL(32,8)	DEFAULT NULL COMMENT '	总保费	',
Currency	CHAR(4)	DEFAULT NULL COMMENT '	币种	',
NPDate	DATE	DEFAULT NULL COMMENT '	下次缴费日期	',
SOInsured	INT	DEFAULT NULL COMMENT '	被保人数	',
BSInsured	DECIMAL(32,8)	DEFAULT NULL COMMENT '	基本保额	',
InsurValue	DECIMAL(32,8)	DEFAULT NULL COMMENT '	保单价值	',
ApplicantID	VARCHAR(32)	DEFAULT NULL COMMENT '	投保人	',
AppName	VARCHAR(128)	DEFAULT NULL COMMENT '	投保人名称	',
AppPhone	VARCHAR(32)	DEFAULT NULL COMMENT '	投保人手机	',
AppIDCard	VARCHAR(32)	DEFAULT NULL COMMENT '	投保人证件号码	',
InsuredID	VARCHAR(32)	DEFAULT NULL COMMENT '	主被保险人	',
InsName	VARCHAR(128)	DEFAULT NULL COMMENT '	主被保险人名称	',
InsPhone	VARCHAR(32)	DEFAULT NULL COMMENT '	主被保险人手机	',
InsIDCard	VARCHAR(32)	DEFAULT NULL COMMENT '	主被保险人证件号码	',
ProductID	VARCHAR(32)	DEFAULT NULL COMMENT '	险种代码	',
ProductName	VARCHAR(128)	DEFAULT NULL COMMENT '	险种名称	',
SalesPerson	VARCHAR(32)	DEFAULT NULL COMMENT '	业务员	',
SPName	VARCHAR(128)	DEFAULT NULL COMMENT '	业务员名称	',
IAccount	VARCHAR(32)	DEFAULT NULL COMMENT '	所属保险账户	'
)
COMMENT '保单'

CREATE  TABLE shanglifeecif.IndIARelationShip(
CREATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	更新时间	',
IIARSID	VARCHAR(32)	DEFAULT NULL COMMENT '	关系ID	',
IndID	VARCHAR(32)	DEFAULT NULL COMMENT '	个人ID	',
IndName	VARCHAR(32)	DEFAULT NULL COMMENT '	个人名称	',
IndPhone	VARCHAR(32)	DEFAULT NULL COMMENT '	个人手机	',
IndIDCard	VARCHAR(32)	DEFAULT NULL COMMENT '	个人证件号码	',
RolePlayer	CHAR(4)	DEFAULT NULL COMMENT '	角色	',
ROBeneficiary	DECIMAL(8,2)	DEFAULT NULL COMMENT '	受益比例	',
IAID	VARCHAR(32)	DEFAULT NULL COMMENT '	保单号	',
PolicyNo	VARCHAR(32)	DEFAULT NULL COMMENT '	保险单号	',
PANo	VARCHAR(32)	DEFAULT NULL COMMENT '	投保单号	',
PolicyState	CHAR(4)	DEFAULT NULL COMMENT '	保单状态	',
RSSTime	DATE	DEFAULT NULL COMMENT '	开始时间	',
RSEtime	DATE	DEFAULT NULL COMMENT '	结束时间	'
)
COMMENT '个人保单关系'

CREATE  TABLE shanglifeecif.Communication(
CREATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	更新时间	',
CommID	VARCHAR(32)	DEFAULT NULL COMMENT '	接触ID	',
IndID	VARCHAR(32)	DEFAULT NULL COMMENT '	接触人ID	',
CPName	VARCHAR(128)	DEFAULT NULL COMMENT '	接触人名称	',
CPPhone	VARCHAR(32)	DEFAULT NULL COMMENT '	接触人手机	',
CPCertID	VARCHAR(32)	DEFAULT NULL COMMENT '	接触人证件号码	',
PolicyNo	VARCHAR(32)	DEFAULT NULL COMMENT '	保险单号	',
CommType	CHAR(4)	DEFAULT NULL COMMENT '	接触类型	',
CommChannel	CHAR(4)	DEFAULT NULL COMMENT '	接触渠道	',
Reason	CHAR(4)	DEFAULT NULL COMMENT '	接触原因	',
CommTime	TIMESTAMP	DEFAULT NULL COMMENT '	接触时间	',
CommDescribe	clob	DEFAULT NULL COMMENT '	接触描述	',
CompLink	CHAR(4)	DEFAULT NULL COMMENT '	投诉环节	',
CompReason	CHAR(4)	DEFAULT NULL COMMENT '	投诉原因	',
ProcedureResult	clob	DEFAULT NULL COMMENT '	处理结果	',
CommLevel	CHAR(4)	DEFAULT NULL COMMENT '	接触等级	',
RVType	CHAR(4)	DEFAULT NULL COMMENT '	回访类型	',
RVDate	DATE	DEFAULT NULL COMMENT '	回访时间	',
RVDuration	DECIMAL(8,2)	DEFAULT NULL COMMENT '	回访时长	',
CPTDuration	DECIMAL(8,2)	DEFAULT NULL COMMENT '	投诉处理时长	'
)
COMMENT '接触'

CREATE  TABLE shanglifeecif.InsuranceClaimThread(
CREATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	更新时间	',
ICThreadID	VARCHAR(32)	DEFAULT NULL COMMENT '	保险理赔Id	',
CRNo	VARCHAR(32)	DEFAULT NULL COMMENT '	立案号	',
CompanyNo	VARCHAR(32)	DEFAULT NULL COMMENT '	公司代码	',
PolicyNo	VARCHAR(32)	DEFAULT NULL COMMENT '	保险单号	',
CNNo	VARCHAR(32)	DEFAULT NULL COMMENT '	报案号	',
LossTime	TIMESTAMP	DEFAULT NULL COMMENT '	损失发生时间	',
RPID	VARCHAR(32)	DEFAULT NULL COMMENT '	报案人	',
RPName	VARCHAR(128)	DEFAULT NULL COMMENT '	报案人名称	',
LPID	VARCHAR(32)	DEFAULT NULL COMMENT '	出险人	',
LPName	VARCHAR(128)	DEFAULT NULL COMMENT '	出险人名称	',
CNDate	DATE	DEFAULT NULL COMMENT '	报案日期	',
LossDescribe	CLOB	DEFAULT NULL COMMENT '	损失原因	',
CRDate	DATE	DEFAULT NULL COMMENT '	立案日期	',
CNDescribe	CLOB	DEFAULT NULL COMMENT '	报案描述	',
ClaimStatus	CHAR(4)	DEFAULT NULL COMMENT '	理赔状态	',
CSDate	DATE	DEFAULT NULL COMMENT '	理赔状态日期	',
RelationShip	CHAR(4)	DEFAULT NULL COMMENT '	报案人与出险人关系	',
CCNo1	VARCHAR(32)	DEFAULT NULL COMMENT '	赔案号1	',
CCStatus1	CHAR(4)	DEFAULT NULL COMMENT '	赔案状态1	',
CCSDate1	DATE	DEFAULT NULL COMMENT '	赔案状态日期1	',
ProductID1	VARCHAR(32)	DEFAULT NULL COMMENT '	险种代码1	',
CCAMT1	DECIMAL(32,8)	DEFAULT NULL COMMENT '	赔付金额1	',
CCNo2	VARCHAR(32)	DEFAULT NULL COMMENT '	赔案号2	',
CCStatus2	CHAR(4)	DEFAULT NULL COMMENT '	赔案状态2	',
CCSDate2	DATE	DEFAULT NULL COMMENT '	赔案状态日期2	',
ProductID2	VARCHAR(32)	DEFAULT NULL COMMENT '	险种代码2	',
CCAMT2	DECIMAL(32,8)	DEFAULT NULL COMMENT '	赔付金额2	'
)
COMMENT '保险理赔'

CREATE  TABLE shanglifeecif.Payment(
CREATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	更新时间	',
PaymentID	VARCHAR(32)	DEFAULT NULL COMMENT '	收付交易 ID	',
IndID	VARCHAR(32)	DEFAULT NULL COMMENT '	个人ID	',
PlolicyNo	VARCHAR(32)	DEFAULT NULL COMMENT '	保险单号	',
PaymentReason	CHAR(4)	DEFAULT NULL COMMENT '	收付原因	',
PaymentItem	CHAR(4)	DEFAULT NULL COMMENT '	收付项目	',
PaymentChannel	CHAR(4)	DEFAULT NULL COMMENT '	收付方式	',
BankAccNo	VARCHAR(32)	DEFAULT NULL COMMENT '	银行账号	',
Currency	CHAR(4)	DEFAULT NULL COMMENT '	币种	',
SOPayment	DECIMAL(32,8)	DEFAULT NULL COMMENT '	收付金额	',
IndName	VARCHAR(32)	DEFAULT NULL COMMENT '	个人名称	',
IndPhone	VARCHAR(32)	DEFAULT NULL COMMENT '	个人手机	',
IndIDCard	VARCHAR(32)	DEFAULT NULL COMMENT '	个人证件号码	',
DOPPayment	DATE	DEFAULT NULL COMMENT '	计划收付日期	',
DOAPayment	DATE	DEFAULT NULL COMMENT '	实付日期	'
)
COMMENT '收付交易'

CREATE  TABLE shanglifeecif.InsuranceAccount(
CREATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	创建人	',
CREATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	创建时间	',
UPDATED_BY	VARCHAR(32)	DEFAULT NULL COMMENT '	更新人	',
UPDATED_TIME	TIMESTAMP	DEFAULT NULL COMMENT '	更新时间	',
IAccID	VARCHAR(32)	DEFAULT NULL COMMENT '	保险账户ID	',
IndID	VARCHAR(32)	DEFAULT NULL COMMENT '	个人ID	',
IndName	VARCHAR(128)	DEFAULT NULL COMMENT '	个人名称	',
IndPhone	VARCHAR(32)	DEFAULT NULL COMMENT '	个人手机	',
IndIDCard	VARCHAR(32)	DEFAULT NULL COMMENT '	个人证件号码	',
RegDate	DATE	DEFAULT NULL COMMENT '	开户日期	',
UnRegDate	DATE	DEFAULT NULL COMMENT '	销户日期	',
IAccName	VARCHAR(32)	DEFAULT NULL COMMENT '	保险账户名称	',
IAccType	CHAR(4)	DEFAULT NULL COMMENT '	保险账户类型	',
IAccStatus	CHAR(4)	DEFAULT NULL COMMENT '	保险账户状态	',
FixedRate	DECIMAL(8,2)	DEFAULT NULL COMMENT '	固定利率	',
AccCDate	DATE	DEFAULT NULL COMMENT '	账户变动日期	',
AccBalance	DECIMAL(32,8)	DEFAULT NULL COMMENT '	账户余额	',
FrozenCapital	DECIMAL(32,8)	DEFAULT NULL COMMENT '	冻结余额	',
OutstdInterest	DECIMAL(32,8)	DEFAULT NULL COMMENT '	未结算利息	',
LBdate	DATE	DEFAULT NULL COMMENT '	上次结算日期	',
LABalance	DECIMAL(32,8)	DEFAULT NULL COMMENT '	上次结算余额	',
InterestType	CHAR(4)	DEFAULT NULL COMMENT '	计息类型	',
SettlementCycle	INT	DEFAULT NULL COMMENT '	结算周期	',
SettlementTime	TIMESTAMP	DEFAULT NULL COMMENT '	结算时点	',
SettlementType	CHAR(4)	DEFAULT NULL COMMENT '	结算类型	'
)
COMMENT '保险账户'